Update flow

Use this API to update existing flow.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup
flowIdFlow Id{{FLOW_ID}}StringRequiredFlow Id generated by Meta

Sample Request

curl --location --globoff --request PUT 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/{{FLOW_ID}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
  "name": "{{FLOW_ID}}",
  "categories": ["{{CATEGORIES}}"]
}'

Sample Response

{
    "status": "success",
    "success": true
}

Status Codes

Status CodeResponseComments
Success
200

{

"status": "success",
"success": true
}

Successfully update a flow
Error
400

{

"status": "error",
"message": "Flow can only be modified in Draft status"
}

For updating flows that are not in draft state
Path Params
string
required

Unique identifier of the app.

string
required

Flow Id generated by Meta

Body Params
string
categories
array of strings
categories
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json